package th.co.rabbit.rdc_flutter_sdk

import android.app.ActivityManager
import android.content.Context.ACTIVITY_SERVICE
import android.content.Context

class MemoryProvider {
    fun getUsedMemorySize(applicationContext: Context?): Map<String, Any> {
        val map = mutableMapOf<String,Any>()
        applicationContext?.let {
            val actManager: ActivityManager = it.getSystemService(ACTIVITY_SERVICE) as ActivityManager
            val memInfo = ActivityManager.MemoryInfo()
            actManager.getMemoryInfo(memInfo)
            val totalMem: Long = memInfo.totalMem
            val freeMem: Long = memInfo.availMem
            val lowMem: Boolean = memInfo.lowMemory
            val runtime = Runtime.getRuntime()
            val usedByApp: Long = (runtime.totalMemory() - runtime.freeMemory()) / 1048576L;

            map["usedByApp"] = usedByApp
            map["total"] = (totalMem / (1024f * 1024f)).toDouble()
            map["free"] = (freeMem / (1024f * 1024f)).toDouble()
            map["lowMemory"] = lowMem

            return map;
        }

        map["usedByApp"] = 0
        map["total"] = 0.0
        map["free"] = 0.0
        map["lowMemory"] = false

        return map;
    }
}