import Flutter
import UIKit

public class SwiftRdcFlutterSdkPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "rdc_flutter_sdk", binaryMessenger: registrar.messenger())
    let instance = SwiftRdcFlutterSdkPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    switch call.method {
    case "getCpuUsage":
        result(CPUMonitor.totalUsageAll())
      case "getTotalUsagePercent":
        result(MemoryMonitor.totalUsagePercent())
      case "getBattery":
        result(BatteryMonitor.getBattery())
    default:
        result(0.0)
    }
    result("iOS " + UIDevice.current.systemVersion)
  }
}
