import 'package:realm/realm.dart';

abstract class BaseModel<H, R> {
  late int id;
  H mapToHive();
  R mapToRealm();
}

abstract class HiveBaseModel<T> {
  T mapFromHive(int id);
}

abstract class RealmBaseModel<T> implements RealmObject {
  T mapFromRealm();
}
