import 'package:rdc_flutter_sdk/src/constants/app_constants.dart' as con;
import 'package:rdc_flutter_sdk/src/model/rabbit_enum.dart';

class RabbitDataConfig {
  String apiKey;
  String encryptKey;
  DataCollectionType collectionType;
  int rotationTime;
  int retentionDays;
  int retryTime;
  bool deleteAfterSent;
  int cpu;
  int memory;
  int batteryLevel;
  DBType dbType;
  bool? consent;
  bool permissionMaid;
  int sessionExpire;
  int sessionAutoExpire;
  bool offlineMode;
  int storageMin;
  int storageMax;
  bool debugMode;

  RabbitDataConfig(
      {required this.apiKey,
      this.encryptKey = '',
      this.collectionType = DataCollectionType.rotation,
      this.rotationTime = con.rotationTime,
      this.retentionDays = con.retentionDays,
      this.retryTime = con.retryTime,
      this.deleteAfterSent = true,
      this.cpu = con.cpu,
      this.memory = con.memory,
      this.batteryLevel = con.battery,
      this.dbType = DBType.hive,
      this.consent,
      this.permissionMaid = false,
      this.sessionExpire = con.sessionExpireMin,
      this.sessionAutoExpire = con.autoExpireMin,
      this.offlineMode = false,
      this.storageMin = 1,
      this.storageMax = 5,
      this.debugMode = false})
      : assert(rotationTime >= 1),
        assert(retentionDays >= 0),
        assert(retryTime >= 1),
        assert(cpu >= 0),
        assert(memory >= 0),
        assert(batteryLevel >= 0),
        assert(sessionExpire >= 1),
        assert(sessionAutoExpire >= 1);
}
