import 'package:flutter/services.dart';
import 'package:advertising_id/advertising_id.dart';

class AdvertisingHelper {
  static Future<String> getAdvertisingId() async {
    try {
      return await AdvertisingId.id() ?? '';
    } catch (e) {
      return e.toString();
    }
  }

  static Future<bool> getLimitAdTracking() async {
    try {
      return (await AdvertisingId.isLimitAdTrackingEnabled)!;
    } on PlatformException {
      return false;
    }
  }
}
