import 'dart:io';

import 'package:flutter/services.dart';
import 'package:path_provider/path_provider.dart';
import 'package:yaml/yaml.dart';

class FileHelper {
  static getVersion() async {
    var pubFile = await rootBundle.loadString(
      "packages/rdc_flutter_sdk/pubspec.yaml",
    );
    final pubspecLoader = loadYaml(pubFile) as YamlMap;
    return pubspecLoader['version'].replaceAll('^', '');
  }

  static Future<int?> getFileRealmSize() async {
    Directory appDocDir = await getApplicationDocumentsDirectory();
    final realmDirectory =
        '${appDocDir.path}/mongodb-realm/rdc_flutter_sdk.realm';
    var file = File(realmDirectory);
    if (!file.existsSync()) {
      return null;
    }

    double sizeInMb = file.lengthSync() / (1024 * 1024);
    return sizeInMb.toInt();
  }
}
